#ifndef __FILES_HEADER_FILE__
#define __FILES_HEADER_FILE__

global uchar batch;         // (0/1) (Set by GetDownloadProto) Batch xfer?

void init_files( void );    // Clear the mark buffer etc.

void list_areas( void );    // Displays a file area listing (Display only)
char *file_path( void );    // Finds the hard disk location of current file

void list_files( int );     // Send the area number

void search_files( ulong start, uchar *keys, struct date *n, long area=-1,
  char sort=0 );

int  mark_pause( void );    // PRIVATE!  OWNED BY FILES.CPP!

int build_download_list( void );

uchar GetDownloadProto( void );          // Returns letter or false
uchar DisconnectAfterTransfer( void );   // Returns (true/false)

int  DoUploadScan( void );

int  copy_file( const char *fname, const char *to );

/////////

//void  Download( void );
void  NewDownload( void );
//void  Download( uchar *filename );
void  NewDownload( uchar *filename );
char *Upload( char *path );
char *NewUpload( char *path );
char *GetUploadFile( void );
void  Upload( long menuSet=0, long setArea=0 );

#endif

// End of Files.H


